use std::env;
use std::fs::File;
use std::io::{BufReader, Read};

fn main() {
    let args: Vec<String> = env::args().collect();
    let filename = &args[1];
    let file = File::open(filename)
        .expect("ファイルが開けません。");
    let mut br = BufReader::new(file);
    let mut s = String::new();
    let _ = br.read_to_string(&mut s)
        .expect("ファイルから読み込めません。");
    println!("{s}");
}
